/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.mandant.entity;

public interface MandantBase extends 
de.ivu.elect.jee.entity.Entity<MandantPK, MandantUK>
{

  
  /**
   * getter for primary key wrapper MANDANT.mandant_id
   *
   * @return
   */
  @Override
  MandantPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for MANDANT.ART
   *
   */
  de.ivu.elect.business.mandant.entity.MandantArt getArt();

  /**
   * 
   *
   * setter for MANDANT.ART
   *
   * @param art
   */
  void setArt(de.ivu.elect.business.mandant.entity.MandantArt art);
      

  /**
   * 
   *
   * getter for MANDANT.BESCHREIBUNG
   *
   */
  java.lang.String getBeschreibung();

  /**
   * 
   *
   * setter for MANDANT.BESCHREIBUNG
   *
   * @param beschreibung
   */
  void setBeschreibung(java.lang.String beschreibung);
      

  /**
   * 
   *
   * getter for MANDANT.NAME
   *
   */
  java.lang.String getName();

  /**
   * 
   *
   * setter for MANDANT.NAME
   *
   * @param name
   */
  void setName(java.lang.String name);
      

  /**
   * 
   *
   * getter for MANDANT.NUMMER
   *
   */
  java.lang.Long getNummer();

  /**
   * 
   *
   * setter for MANDANT.NUMMER
   *
   * @param nummer
   */
  void setNummer(java.lang.Long nummer);
      

  /**
   * 
   *
   * getter for MANDANT.STATUS
   *
   */
  de.ivu.elect.business.mandant.entity.MandantStatus getStatus();

  /**
   * 
   *
   * setter for MANDANT.STATUS
   *
   * @param status
   */
  void setStatus(de.ivu.elect.business.mandant.entity.MandantStatus status);
      

  /**
   * 
   *
   * getter for MANDANT.SYSTEM_GEBIETSEBENE
   *
   */
  de.ivu.elect.business.system.entity.SystemGebietsebene getSystemGebietsebene();

  /**
   * 
   *
   * setter for MANDANT.SYSTEM_GEBIETSEBENE
   *
   * @param systemGebietsebene
   */
  void setSystemGebietsebene(de.ivu.elect.business.system.entity.SystemGebietsebene systemGebietsebene);
      

  /**
   * 
   *
   * getter for MANDANT.VERANTWORTETE_GEBIETE
   *
   */
  java.lang.String getVerantworteteGebiete();

  /**
   * 
   *
   * setter for MANDANT.VERANTWORTETE_GEBIETE
   *
   * @param verantworteteGebiete
   */
  void setVerantworteteGebiete(java.lang.String verantworteteGebiete);
  
/**
 * Beziehungen N:1 unidirektional
 */

/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
